Bug 89175 - LibreOffice Viewer for Android does not open password-protected files
Summary: LibreOffice Viewer for Android does not open password-protected files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: ARM Android
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 89892 (view as bug list)
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2015-02-06 14:57 UTC by Jan Holesovsky
Modified: 2017-02-24 09:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2015-02-06 14:57:00 UTC
So far we cannot open password protected files - the UI to enter the password is missing so far, unfortunately
Comment 1 Christian Lohmaier 2015-10-03 20:23:48 UTC
*** Bug 89892 has been marked as a duplicate of this bug. ***
Comment 2 Jim Mayer 2015-10-31 15:32:12 UTC
For what it's worth, access to password protected documents is the single feature that would get me to start using this application. I have a small number of documents that I'd like to store in various "cloud" services (Google Drive, Dropbox, etc.). Some are spreadsheets, some regular documents, but all either are, or could be, handled nicely by Libreoffice. I could use a general encryption package like Boxcryptor, but password protecting individual documents would be a lot more convenient for me. Thanks!
Comment 3 QA Administrators 2016-11-08 12:09:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108
Comment 4 Yuri 2017-01-04 04:24:17 UTC
I can confirm that so far (2017-01-04) the LOVA (LibreOffice Viewer for Android) app is still unable to open password-protected files.

I've just installed LOVA's latest version (V8) on my Android smartphone (Motorola RAZR HD, model XT925, ARM CPU, Android OS version 4.4.2, phone's tech specs available at http://www.phonearena.com/phones/Motorola-RAZR-HD_id7486) and attempted to open some password-protected files (ODS and ODT files). In all cases, the same thing happened: after I selected which password-protected file I wanted to open, the LOVA's GUI closed (crashed, apparently), instead of showing me the window/field where I was supposed to provide the unlocking password.
Comment 5 Rexy 2017-02-24 09:15:16 UTC
Hi,
I confirm this bug with exactly the same behaviour as described by YURI.
My system : Moto G+ - Android 6.0.1
Libreoffice Viewer version 5.3.0.0.alpha1+ BuilID 4136757